| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
precedence::AlgoProps Struct Reference

`#include <src/PrecedenceRulesGraph.h>`

Collaboration diagram for precedence::AlgoProps:
[legend]

## Public Member Functions
| AlgoProps ()
| AlgoProps (Algorithm *algo, uint nodeIndex, uint algoIndex, bool inverted, bool allPass)

## Public Attributes
std::string | m_name {""}
int | m_nodeIndex {-1}
int | m_algoIndex {-1}
int | m_rank {-1}
Algorithm * | m_algorithm {nullptr}
| Algorithm representative behind the AlgorithmNode. More...
bool | m_inverted {false}
| Whether the selection result is negated or not. More...
bool | m_allPass {false}
| Whether the selection result is relevant or always "pass". More...
bool | m_isIOBound {false}
| If an algorithm is blocking. More...

## Detailed Description

Definition at line 59 of file PrecedenceRulesGraph.h.

## Constructor & Destructor Documentation

precedence::AlgoProps::AlgoProps | ( |  | ) |
| inline

Definition at line 60 of file PrecedenceRulesGraph.h.

60 {}

precedence::AlgoProps::AlgoProps | ( | Algorithm * | algo,
|  | uint | nodeIndex,
|  | uint | algoIndex,
|  | bool | inverted,
|  | bool | allPass
| ) |  |
| inline

Definition at line 61 of file PrecedenceRulesGraph.h.

62 : m_name( algo->name() )
63 , m_nodeIndex( nodeIndex )
64 , m_algoIndex( algoIndex )
65 , m_algorithm( algo )
66 , m_inverted( inverted )
67 , m_allPass( allPass )
68 , m_isIOBound( algo->isIOBound() )
69 {
70 }
Algorithm::name
const std::string & name() const override
The identifying name of the algorithm object.
Definition: Algorithm.cpp:737
precedence::AlgoProps::m_isIOBound
bool m_isIOBound
If an algorithm is blocking.
Definition: PrecedenceRulesGraph.h:84
precedence::AlgoProps::m_algoIndex
int m_algoIndex
Definition: PrecedenceRulesGraph.h:74
precedence::AlgoProps::m_name
std::string m_name
Definition: PrecedenceRulesGraph.h:72
precedence::AlgoProps::m_algorithm
Algorithm * m_algorithm
Algorithm representative behind the AlgorithmNode.
Definition: PrecedenceRulesGraph.h:77
precedence::AlgoProps::m_nodeIndex
int m_nodeIndex
Definition: PrecedenceRulesGraph.h:73
precedence::AlgoProps::m_allPass
bool m_allPass
Whether the selection result is relevant or always "pass".
Definition: PrecedenceRulesGraph.h:82
precedence::AlgoProps::m_inverted
bool m_inverted
Whether the selection result is negated or not.
Definition: PrecedenceRulesGraph.h:80
Algorithm::isIOBound
bool isIOBound() const
Definition: Algorithm.h:474

## Member Data Documentation

int precedence::AlgoProps::m_algoIndex {-1}

Definition at line 74 of file PrecedenceRulesGraph.h.

Algorithm* precedence::AlgoProps::m_algorithm {nullptr}

Algorithm representative behind the AlgorithmNode.

Definition at line 77 of file PrecedenceRulesGraph.h.

bool precedence::AlgoProps::m_allPass {false}

Whether the selection result is relevant or always "pass".

Definition at line 82 of file PrecedenceRulesGraph.h.

bool precedence::AlgoProps::m_inverted {false}

Whether the selection result is negated or not.

Definition at line 80 of file PrecedenceRulesGraph.h.

bool precedence::AlgoProps::m_isIOBound {false}

If an algorithm is blocking.

Definition at line 84 of file PrecedenceRulesGraph.h.

std::string precedence::AlgoProps::m_name {""}

Definition at line 72 of file PrecedenceRulesGraph.h.

int precedence::AlgoProps::m_nodeIndex {-1}

Definition at line 73 of file PrecedenceRulesGraph.h.

int precedence::AlgoProps::m_rank {-1}

Definition at line 75 of file PrecedenceRulesGraph.h.

The documentation for this struct was generated from the following file:

- GaudiHive/src/PrecedenceRulesGraph.h